OUTPUT_FORMAT("elf32-nds32")
OUTPUT_ARCH(nds32)
ENTRY(_start)
SECTIONS
{
  .text 0x00500000 : { 
	*(.text) ; 
  }

  .init    ALIGN(4)  : { *(.init)    } =0
  .fini    ALIGN(4)  : { *(.fini)    } =0
  .ctors   ALIGN(4)  : { *(.ctors)   }
  .dtors   ALIGN(4)  : { *(.dtors)   }
  .rodata  ALIGN(4)  : { *(.rodata)  }
  .rodata1 ALIGN(4)  : { *(.rodata1) }
  . = ALIGN(4); 
  _etext = . ;

  /* also: .hash .dynsym .dynstr .plt(if r/o) .rel.got */
  /* Read-write section, merged into data segment: */
 .data :
  {
    _data = . ;
    *(.reginfo)
    *(.data)
    /* CONSTRUCTORS */
  }
  .data1 ALIGN(4)  : { *(.data1) }
  _gp = . + 0x6000;
  .lit8 . : { *(.lit8) }
  .lit4 . : { *(.lit4) }
  /* also (before uninitialized portion): .dynamic .got .plt(if r/w)
     (or does .dynamic go into its own segment?) */
  /* We want the small data sections together, so single-instruction offsets
     can access them all, and initialized data all before uninitialized, so
     we can shorten the on-disk segment size.  */
  .sdata   ALIGN(4)  : { *(.sdata) }
  . = ALIGN(4) ;
  _edata  =  . ;
  PROVIDE (__bss_start__ = .);
  .sbss_b :
  {
    *(.sbss_b .sbss_b.*)
    *(.scommon_b .scommon_b.*)
    . = ALIGN(2);
  }
  .sbss_h :
  {
    *(.sbss_h .sbss_h.*)
    *(.scommon_h .scommon_h.*)
    . = ALIGN(4);
  }
  .sbss_w :
  {
    *(.sbss_w .sbss_w.*)
    *(.scommon_w .scommon_w.*)
    *(.dynsbss)
    *(.scommon)
  }
  .bss :
  {
    *(.dynbss)
    *(.bss .bss.* .gnu.linkonce.b.*)
    *(COMMON)
    /* Align here to ensure that the .bss section occupies space up to
     *       _end.  Align after .bss to ensure correct alignment even if the
     *             .bss section disappears because there are no input sections.  */
    . = ALIGN(32 / 8);
    _bend = . ;
    PROVIDE (__bss_end__ = .);
    end = . ;
  }
  /* Debug sections.  These should never be loadable, but they must have
     zero addresses for the debuggers to work correctly.  */
  .line			0 : { *(.line)			}
  .debug		0 : { *(.debug)			}
  .debug_sfnames	0 : { *(.debug_sfnames)		}
  .debug_srcinfo	0 : { *(.debug_srcinfo)		}
  .debug_macinfo	0 : { *(.debug_macinfo)		}
  .debug_pubnames	0 : { *(.debug_pubnames)	}
  .debug_aranges	0 : { *(.debug_aranges)		}
  PROVIDE (_stack = 0x04000000);

}


